cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

ThingWorx / KEPServerEX version compatibility chart

stmarchessault
Amethyst

ThingWorx / KEPServerEX version compatibility chart

The KEPServerEX ThingWorx Native Interface was originally released with KEPServerEX v5.21 to enable connectivity with v6.6 of the ThingWorx Platform. Compatibility with the ThingWorx NextGen Composer (v7.4) was implemented with the release of KEPServerEX v6.1, while still allowing support of older ThingWorx composer versions through the Native Interface "Legacy mode" setting.

 

When connecting with ThingWorx v7.4 and newer, an Industrial Gateway thing template is configured in the NextGen Composer. The instructions for connecting KEPServerEX v6.1 (and newer) with ThingWorx v7.4 (and newer) can be found in the ThingWorx Help Center here:

 

KEPServerEX / ThingWorx Industrial Connectivity Connection Example

(Expand ThingWorx Model Definition and Composer > Industrial Connections > Industrial Connections Example)

 

 

When connecting with versions of ThingWorx that are older than v7.4-- or if the older version of ThingWorx Composer will be used-- it will necessary to download and import the KEPServerEX Extension from the ThingWorx marketplace. The "RemoteKEPServerEXThing" thing template will then be used to allow connection with KEPServerEX. Here is a link to the extension download:

ThingWorx IoT Marketplace

 

To enable Legacy Mode in KEPServerEX

(v6.1 or newer, when connecting with versions of ThingWorx that are older than v7.4):

1. Open the KEPServerEX Configuration window

2. In the top-left Project view pane, right-click on "Project" and select "Properties"

3. Select the ThingWorx Property Group

4. Change "Enable" to "Yes"; and change "Legacy Mode" to "Enable"

 

 

See the chart below for a version compatibility summary:

 

KEPServerEX version ThingWorx version
v5.21 pre-7.4, using RemoteKEPServerEXThing
v6.0 pre-7.4, using RemoteKEPServerEXThing
v6.1 or higher w/ Legacy Mode enabled pre-7.4, using RemoteKEPServerEXThing
v6.1 or higher w/ Legacy Mode disabled (default) v7.4 or higher, using Industrial Gateway
2 REPLIES 2

Re: ThingWorx / KEPServerEX version compatibility chart

Using Thingworx 7.1.2 and KepServerEX 6.4 with KepServerEX Extension
The connection was made.
By the way, I do not see Remote Properties in Managed Binding.
How do I make Remote Properties visible?

Re: ThingWorx / KEPServerEX version compatibility chart

Are you using legacy mode to establish the connection between Thingworx and Kepware?

 

Thanks,

Varathan

Announcements

Check out the upcoming Expert Session: Understanding ThingWorx Navigate Licensing in Community "Customer Events" section.